% BBCDLmodelcomp_ss_defs

% original variables
c1c = log(c1css);
c1cd = log(c1cdss);
c1mc = log(c1mcss);
c1y = log(c1yss);
c1g = log(c1gss);
c1rpcpd = log(c1rpcpdss);
c1dcore = c1pistar;
c1hp = log(c1hpss);
c1gp = log(c1gpss);
c1pstar = log(1);
c1pid = c1pistar;
c1deltad = 0;
c1rn = c1rnss;

c2c = log(c2css);
c2cd = log(c2cdss);
c2mc = log(c2mcss);
c2y = log(c2yss);
c2g = log(c2gss);
c2rpcpd = log(c2rpcpdss);
c2dcore = c2pistar;
c2hp = log(c2hpss);
c2gp = log(c2gpss);
c2pstar = log(1);
c2pid = c2pistar;
c2deltad = 0;
c2rn = c2rnss;

c1rer = log(c1rerss);

c1shockgy = c1shockgyss;
c1z = c1zss;
c1taupvar = c1taupvarss;
c2shockgy = c2shockgyss;
c2z = c2zss;
c2taupvar = c2taupvarss;


Util = Util1;
Welf = Util/(1-nbeta);
instr = c1pid;c1deltadlag =c1deltad; 
c1deltadlag2 =c1deltad; 
c1rnlag =c1rn; 
c1rnlag2 =c1rn; 
c1rpcpdlag =c1rpcpd; 
c1rpcpdlag2 =c1rpcpd; 
c2deltadlag =c2deltad; 
c2deltadlag2 =c2deltad; 
c2rnlag =c2rn; 
c2rnlag2 =c2rn; 
c2rpcpdlag =c2rpcpd; 
c2rpcpdlag2 =c2rpcpd; 

nvars = M_.endo_nbr;
for i_indx = 1:nvars
  varstring = M_.endo_names{i_indx};
  if isempty(strfind(varstring,'mult')) && isempty(strfind(varstring,'AUX')) && isempty(strfind(varstring,'Welfcorrection'))
      eval([varstring,'_ss = ',varstring,';']);
  end
end
BBCDLmodelcomp_ramsey_agent_c1pid_1_lmss; 
lmult1=lmss_vals(1); 
lmult2=lmss_vals(2); 
lmult3=lmss_vals(3); 
lmult4=lmss_vals(4); 
lmult5=lmss_vals(5); 
lmult6=lmss_vals(6); 
lmult7=lmss_vals(7); 
lmult8=lmss_vals(8); 
lmult9=lmss_vals(9); 
lmult10=lmss_vals(10); 
lmult11=lmss_vals(11); 
lmult12=lmss_vals(12); 
lmult13=lmss_vals(13); 
lmult14=lmss_vals(14); 
lmult15=lmss_vals(15); 
lmult16=lmss_vals(16); 
lmult17=lmss_vals(17); 
lmult18=lmss_vals(18); 
lmult19=lmss_vals(19); 
lmult20=lmss_vals(20); 
lmult21=lmss_vals(21); 
lmult22=lmss_vals(22); 
lmult23=lmss_vals(23); 
lmult24=lmss_vals(24); 
lmult25=lmss_vals(25); 
lmult26=lmss_vals(26); 
lmult27=lmss_vals(27); 
lmult28=lmss_vals(28); 
lmult29=lmss_vals(29); 
lmult30=lmss_vals(30); 
lmult31=lmss_vals(31); 
lmult32=lmss_vals(32); 
lmult33=lmss_vals(33); 
